Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# UDP.cpp File Reference

`#include "UDP.h"`
`#include "AVStreams_i.h"`
`#include "MCast.h"`
`#include "tao/debug.h"`
`#include "ace/OS_NS_strings.h"`
`#include "UDP.i"`

Include dependency graph for UDP.cpp:

## Functions
const char * | get_rcsid_AV_UDP (const char *)
| ACE_STATIC_SVC_DEFINE (TAO_AV_UDP_Flow_Factory, ACE_TEXT("UDP_Flow_Factory"), ACE_SVC_OBJ_T,&ACE_SVC_NAME(TAO_AV_UDP_Flow_Factory), ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ, 0) ACE_STATIC_SVC_DEFINE(TAO_AV_UDP_Factory
| ACE_TEXT ("UDP_Factory")
& | ACE_SVC_NAME (TAO_AV_UDP_Factory)
## Variables
const char * | rcsid_AV_UDP = get_rcsid_AV_UDP ( rcsid_AV_UDP )
| ACE_SVC_OBJ_T

## Function Documentation

ACE_STATIC_SVC_DEFINE | ( | TAO_AV_UDP_Flow_Factory | ,
|  | ACE_TEXT("UDP_Flow_Factory") | ,
|  | ACE_SVC_OBJ_T | ,
|  | & | ACE_SVC_NAME(TAO_AV_UDP_Flow_Factory),
|  | ACE_Service_Type::DELETE_THIS|ACE_Service_Type::DELETE_OBJ | ,
|  | 0 |
| ) |

& ACE_SVC_NAME | ( | TAO_AV_UDP_Factory |  | ) |

ACE_TEXT | ( | "UDP_Factory" |  | ) |

const char* get_rcsid_AV_UDP | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

ACE_SVC_OBJ_T

const char* rcsid_AV_UDP = get_rcsid_AV_UDP ( rcsid_AV_UDP )`[static]`